/*
 * Simple Demonstration for RatingRadioRenderer
 * by PhilFlash - http://philflash.inway.fr
 *
 */
 
import mx.controls.Button;
import mx.controls.TextArea;

class form.ResultForm extends mx.screens.Form {

	private var backButton:Button;
	private var result_ta:TextArea;

 	// Constructor	
	public function ResultForm() {}

 	// -----   -----	
	public function init():Void {
		super.init();
		addEventListener("reveal", onReveal);
	}

 	// -----   -----	
	public function onLoad():Void {
		setVisible(false);
		backButton.addEventListener("click", function(evt:Object) { evt.target._parent.backAction(evt); } );
		
		// Title 
		var titles = ["title"];
		var length = titles.length;
 		for (var i = 0; i < length; i++) {
 			var component = this[titles[i]];	
			component.editable = false;
			component.setStyle("styleName", "h1");
			component.setStyle("backgroundColor", 0xEBF0F9);
			// haut
			component.setStyle("buttonColor", 0xEBF0F9);
			component.setStyle("highlightColor", 0xEBF0F9);
			// cote
			component.setStyle("shadowCapColor", 0xEBF0F9);
			component.setStyle("borderCapColor", 0xEBF0F9);
			// bas
			component.setStyle("shadowColor", 0xE8F0F1);
			component.setStyle("borderColor", 0x517DBF);
		}
	}

 	// -----   -----	
	public function onReveal(obj:Object):Void {
		var document:XML = toXML();
		result_ta.text = document.toString();
	}
	
 	// -----   -----
	public function backAction(evt:Object):Void {
		setVisible(false);
		(rootForm).formInstructor.setVisible(true);
	}

 	// -----   -----
	public function toXML():XML {
		var document:XML = new XML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?><ratings></ratings>");
		var rootNode = document.firstChild;  
	
		var form = (rootForm).formInstructor;
		if (form != null) {
			form.toXML(document);
		}
		return document;
	}
		
}
    

